Package org.drinkless.tdlib

# Class TdApi.UpdateNotificationGroup

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Update
org.drinkless.tdlib.TdApi.UpdateNotificationGroup

Enclosing class:
  `TdApi`

public static class TdApi.UpdateNotificationGroup extends TdApi.Update
A list of active notifications in a notification group has changed.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Update

  `TdApi.Update.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.Notification[]`
  `addedNotifications`
  List of added group notifications, sorted by notification identifier.
  `long`
  `chatId`
  Identifier of a chat to which all notifications in the group belong.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `notificationGroupId`
  Unique notification group identifier.
  `long`
  `notificationSettingsChatId`
  Chat identifier, which notification settings must be applied to the added notifications.
  `long`
  `notificationSoundId`
  Identifier of the notification sound to be played; 0 if sound is disabled.
  `int[]`
  `removedNotificationIds`
  Identifiers of removed group notifications, sorted by notification identifier.
  `int`
  `totalCount`
  Total number of unread notifications in the group, can be bigger than number of active notifications.
  `TdApi.NotificationGroupType`
  `type`
  New type of the notification group.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdateNotificationGroup()`
  A list of active notifications in a notification group has changed.
  `UpdateNotificationGroup(int notificationGroupId, TdApi.NotificationGroupType type, long chatId, long notificationSettingsChatId, long notificationSoundId, int totalCount, TdApi.Notification[] addedNotifications, int[] removedNotificationIds)`
  A list of active notifications in a notification group has changed.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### notificationGroupId

    public int notificationGroupId
    Unique notification group identifier.

  - ### type

    public TdApi.NotificationGroupType type
    New type of the notification group.

  - ### chatId

    public long chatId
    Identifier of a chat to which all notifications in the group belong.

  - ### notificationSettingsChatId

    public long notificationSettingsChatId
    Chat identifier, which notification settings must be applied to the added notifications.

  - ### notificationSoundId

    public long notificationSoundId
    Identifier of the notification sound to be played; 0 if sound is disabled.

  - ### totalCount

    public int totalCount
    Total number of unread notifications in the group, can be bigger than number of active notifications.

  - ### addedNotifications

    public TdApi.Notification[] addedNotifications
    List of added group notifications, sorted by notification identifier.

  - ### removedNotificationIds

    public int[] removedNotificationIds
    Identifiers of removed group notifications, sorted by notification identifier.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UpdateNotificationGroup

    public UpdateNotificationGroup()
    A list of active notifications in a notification group has changed.

  - ### UpdateNotificationGroup

    public UpdateNotificationGroup(int notificationGroupId, TdApi.NotificationGroupType type, long chatId, long notificationSettingsChatId, long notificationSoundId, int totalCount, TdApi.Notification[] addedNotifications, int[] removedNotificationIds)
    A list of active notifications in a notification group has changed.
    Parameters:
      `notificationGroupId` - Unique notification group identifier.
      `type` - New type of the notification group.
      `chatId` - Identifier of a chat to which all notifications in the group belong.
      `notificationSettingsChatId` - Chat identifier, which notification settings must be applied to the added notifications.
      `notificationSoundId` - Identifier of the notification sound to be played; 0 if sound is disabled.
      `totalCount` - Total number of unread notifications in the group, can be bigger than number of active notifications.
      `addedNotifications` - List of added group notifications, sorted by notification identifier.
      `removedNotificationIds` - Identifiers of removed group notifications, sorted by notification identifier.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Update`
    Returns:
      this.CONSTRUCTOR